

BUG: using smp_processor_id() in preemptible [00000001] code: zsh/4361
caller is sched_fork+0xf/0x11e                                        
                              
Call Trace:<ffffffff8022d5ad>{smp_processor_id+193} <ffffffff8012e876>{sched_fork+15}
       <ffffffff801320d9>{copy_process+2920} <ffffffff80132741>{do_fork+208}         
       <ffffffff80180e3e>{do_pipe+621} <ffffffff803b8068>{_spin_unlock_irq+60}
       <ffffffff8010e812>{system_call+126} <ffffffff8010eb73>{ptregscall_common+103}


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-consolidate-sbe-sbf-fix kernel/sched.c
--- 25/kernel/sched.c~sched-consolidate-sbe-sbf-fix	2005-04-07 20:44:40.000000000 -0700
+++ 25-akpm/kernel/sched.c	2005-04-07 20:44:45.000000000 -0700
@@ -1293,7 +1293,7 @@ int fastcall wake_up_state(task_t *p, un
  */
 void fastcall sched_fork(task_t *p, int clone_flags)
 {
-	int cpu = smp_processor_id();
+	int cpu = _smp_processor_id();
 
 #ifdef CONFIG_SMP
 	preempt_disable();
_
